dashel.h File Reference

Public interface of Dashel, A cross-platform DAta Stream Helper Encapsulation Library. More...

`#include <string>`
`#include <set>`
`#include <map>`
`#include <vector>`
`#include <deque>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

class | Dashel::DashelException
| The one size fits all exception for streams. More...
class | Dashel::SerialPortEnumerator
| Serial port enumerator class. More...
class | Dashel::IPV4Address
| A IP version 4 address. More...
class | Dashel::ParameterSet
| Parameter set. More...
class | Dashel::Stream
| A data stream, with low-level (not-endian safe) read/write functions. More...
class | Dashel::PacketStream
| A data stream, that can be later send data as at UDP packet or read data from an UDP packet. More...
class | Dashel::Hub
| The central place where to create, destroy, and synchronize streams. More...
struct | Dashel::StreamTypeRegistry
| Registry of constructors to a stream, to add new stream types dynamically. More...

## Namespaces

| Dashel
| Dashel, a cross-platform stream abstraction library.

## Macros

#define | DASHEL_VERSION "1.3.3"
| version of the Dashel library as string
#define | DASHEL_VERSION_INT 10301
| version of the Dashel library as an int

## Functions

template<typename C >
Stream * | Dashel::createInstance (const std::string &target, const Hub &hub)
| Create an instance of stream type C, passing target to its constructor.
template<typename C >
Stream * | Dashel::createInstanceWithHub (const std::string &target, const Hub &hub)
| Create an instance of stream type C, passing target to its constructor.

## Variables

StreamTypeRegistry | Dashel::streamTypeRegistry
| The registry of all known stream types.

## Detailed Description

Public interface of Dashel, A cross-platform DAta Stream Helper Encapsulation Library.